summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/du/max-depth7
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/du/max-depth b/tests/du/max-depth
index 4ddb6b7c9..ec22989c7 100755
--- a/tests/du/max-depth
+++ b/tests/du/max-depth
@@ -28,4 +28,11 @@ cut -f2- out > k && mv k out
compare out exp || fail=1
compare err /dev/null || fail=1
+# Repeat, but use -d 1.
+printf 'a/b\na\n' > exp || framework_failure_
+du -d 1 a > out 2>err || fail=1
+cut -f2- out > k && mv k out
+compare out exp || fail=1
+compare err /dev/null || fail=1
+
Exit $fail